We have moved to a new Sailfish OS Forum. Please start new discussions there.
1

Unable to install Warehouse on recent SFOS [answered]

asked 2019-12-23 16:08:49 +0300

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

updated 2019-12-23 18:29:10 +0300

Maus gravatar image

i downloadede warehouse from the openrepos.net website,clicked to install the package,but it dosnt not install - it writes an error:"there is problem installing harbor-warehouse". i tried to install it in the terminal, it says "libpackagekit-qt5.so.6 is needed for harbor-warehouse-0.3-30.armv7hl.rpm harbor-warehouse<=0.3 is deprecated due to(installed) store-client-1.0.13.1-1.1.1.23.1.jolla.armv7hl"

Please,help me,how to install rpm for my Sony Xperia XA2

PS I BOUGHT SAILFISHOS X AND DOWNLOAD Application support android

edit retag flag offensive reopen delete

The question has been closed for the following reason "the question is answered, an answer was accepted" by Maus
close date 2019-12-23 18:29:22.379969

Comments

2

Have you enabled untrusted software in the settings?

ApB ( 2019-12-23 16:13:48 +0300 )edit
1

What's your SFOS version? Warehouse is outdated and doesn't work on newer SFOS versions. Try Storeman instead.

Pohli ( 2019-12-23 16:21:31 +0300 )edit

yes,i turn on unreliable software in the settings. my version seilfish os 3.2.1.20

jollaxa2 ( 2019-12-23 16:41:47 +0300 )edit

1 Answer

Sort by » oldest newest most voted
8

answered 2019-12-23 16:19:43 +0300

Spam Hunter gravatar image

updated 2019-12-23 16:27:06 +0300

As shown in the error; harbour-warehouse is deprecated

Install Storeman from Openrepos.net instead, or directly from this link;

https://openrepos.net/sites/default/files/packages/6416/harbour-storeman-0.1.7-3.armv7hl.rpm

edit flag offensive delete publish link more

Question tools

Follow
1 follower

Stats

Asked: 2019-12-23 16:08:49 +0300

Seen: 396 times

Last updated: Dec 23 '19